#!/bin/sh

[ -n "$drwebconfdir" ] || drwebconfdir="/etc/drweb"
[ -n "$drwebprefix" ] || drwebprefix="/opt/drweb"
ENGINE_PATH_OLD="$drwebprefix/lib/drweb32.dll"
ENGINE_PATH_NEW="/var/drweb/lib/drweb32.dll"
DRWEB32_INI="$drwebconfdir/drweb32.ini"
DRWEB32_INI_ENGINE_OLD="`grep "$ENGINE_PATH_OLD" "$DRWEB32_INI" 2>/dev/null`"
DRWEB32_INI_ENGINE_NEW="`grep "$ENGINE_PATH_NEW" "$DRWEB32_INI" 2>/dev/null`"

if [ -f $ENGINE_PATH_OLD -a -n "$DRWEB32_INI_ENGINE_OLD" ] ; then
    #old variant - ok
    true
elif [ -f $ENGINE_PATH_NEW -a -n "$DRWEB32_INI_ENGINE_NEW" ] ; then
    #new variant - ok
    true
elif [ -f $ENGINE_PATH_NEW -a -n "$DRWEB32_INI_ENGINE_OLD" ] ; then
    oldconf="$DRWEB32_INI.`date +%Y%m%d_%H-%M-%S`"
    cp "$DRWEB32_INI" "$oldconf"
    cat "$oldconf" | grep -v '^CheckPackedFiles' | sed "s|^EnginePath.*|EnginePath\ =\ $ENGINE_PATH_NEW|g" > "$DRWEB32_INI"
else
    echo "WARNING: Engine file drweb32.dll path and EnginePath in drweb32.ini not equal. Check your $drwebconfdir/drweb32.ini."
fi
exit 0
