GetPlatform() {
uname -s | tr "[:upper:]" "[:lower:]"
}

GetPath() {
case `GetPlatform` in
	*freebsd*)
	    softwaredir="/usr/local/etc/drweb/software"
	    prefix="/usr/local/drweb"
	    confdir="/usr/local/etc/drweb"
	    drwebd_init="00.drwebd"
	    icapd_init="01.drweb-icapd"
	    monitor_init="00.drweb-monitor"
	    spider_init=""
	;;
	*)
	    softwaredir="/etc/drweb/software"
	    prefix="/opt/drweb"
	    confdir="/etc/drweb"
	    drwebd_init="drwebd"
	    icapd_init="drweb-icapd"
	    monitor_init="drweb-monitor"
	    spider_init="drweb-spider"
	;;
esac
case "$1" in
	softwaredir)
	    echo "$softwaredir"
	;;
	prefix)
	    echo "$prefix"
	;;
	confdir)
	    echo "$confdir"
	;;
	drwebd_init)
	    echo "$softwaredir/init.d/$drwebd_init"
	;;
	icapd_init)
	    echo "$softwaredir/init.d/$icapd_init"
	;;
	monitor_init)
	    echo "$softwaredir/init.d/$monitor_init"
	;;
	spider_init)
	    echo "$softwaredir/init.d/$spider_init"
	;;
esac
}

SOFTWAREDIR="`GetPath softwaredir`"
PREFIX="`GetPath prefix`"
CONFDIR="`GetPath confdir`"
DRWEBD_INIT="`GetPath drwebd_init`"
ICAPD_INIT="`GetPath icapd_init`"
MONITOR_INIT="`GetPath monitor_init`"
SPIDER_INIT="`GetPath spider_init`"

PS_BIN=`which ps`
[ -x "$PS_BIN" ] || PS_BIN=ps

case `GetPlatform` in
    *freebsd*)
        PS="$PS_BIN"
        ;;
    *)
        PS="$PS_BIN -e"
        ;;
esac
